/*
 *	configuration file for mced
 */

#define MIN_CMD_LEN 5   /* Min number of
                           characters in command
                           line to be considered
                           worthy */

#define MAX_CH 300      /* Max number of
                           characters in command
                           line */

#define MAX_H_READ 250  /* Max number of history
                           lines possible to
                           read */


/*
 * the following is from config.h for scan by Patrick J. Wolfe:
 */

/*
 *      Define "SIGTYPE" to the type of the value returned by the "signal"
 *      system call.  On BSD 4.2 systems, it's "void".  On BSD 4.3 and SVR3
 *      systems, it's "int".
 *
 *	Define "SYSVcurses" if your system has System V curses.
 */

#define SIGTYPE int

#define beep()  fprintf (stderr, "\007");

#define YES 1
#define NO  0
 
#define EMACS_MODE 1	/* dont edit these, see the Makefile */
#define VI_MODE 0	/* to select emacs mode or vi mode     */


#include "getch.h"

#include <stdio.h>
#include <string.h>
#include <ctype.h>
#include <signal.h>
#include <curses.h>
#include <errno.h>

#ifdef SYSVcurses
#include <termio.h>
#else
#include <sys/ioctl.h>
#endif
